ONVIF::Media::Elements::GetAudioSourcesResponse(3pm)

NAME
ONVIF::Media::Elements::GetAudioSourcesResponse

DESCRIPTION
Perl data type class for the XML Schema defined element GetAudioSourcesResponse from the namespace http://www.onvif.org/ver10/media/wsdl.

PROPERTIES
The following properties may be accessed using get_PROPERTY / set_PROPERTY methods:

•   AudioSources

     $element->set_AudioSources($data);
     $element->get_AudioSources();

METHODS

  new
 my $element = ONVIF::Media::Elements::GetAudioSourcesResponse->new($data);

Constructor. The following data structure may be passed to new():

 {
   AudioSources =>  { # ONVIF::Media::Types::AudioSource
     Channels =>  $some_value, # int
   },
 },

AUTHOR
Generated by SOAP::WSDL